commit 7d297b1fb83807530c5a9d98293a6030cc97829d
Author: Klaas de Waal <kdewaal@mythtv.org>
Date:   Tue Mar 23 23:11:21 2021 +0100

    CEA-608/VBI CC3 closed captions/subtitles
    
    The CEA-608 closed captions can show two different subtitle streams
    for two different languages, called CC1 and CC3.
    When present, these streams can be selected in the subtitle menu.
    Due to a bug only the CC1 stream is actually shown.
    This is now fixed and also the CC3 stream can now be shown.
    
    Refs #326
    
    (cherry picked from commit 78edc37a607ff95c08556cf53e41de692ec3c3dd)

commit a29309119aeeec09b398389c60ee13be0cd8dd32
Author: Klaas de Waal <kdewaal@mythtv.org>
Date:   Mon Mar 22 18:30:23 2021 +0100

    ATSC Closed Captions
    
    In avformatdecoder.cppp the closed captions packets are extracted from
    the video stream and sent to the decoders for processing.
    In commit 4880fe2427c1c83b861c3158fe7899865093cba0 a check is introduced
    to prevent potential out-of-bound memory access.
    This check is not correct, causing the last closed caption packet
    in each buffer to be always discarded. This causes all sorts of
    issues in the rendering of the closed captions.
    The check on out-of-bound memory access is now corrected.
    
    Refs #326
    
    (copied from commit 4528c7050c339500e4246ab16b9da36191b11df1)

commit 622c94965e62e7d47abc241680ef781cb22d49b5
Author: David Hampton <mythtv@love2code.net>
Date:   Sun Aug 2 23:52:05 2020 -0400

    Fix sys_siglist symbol removed from glibc.

commit 60ce7cc9d4b07f79ecc297bdaaa8b85080766f7c
Author: Klaas de Waal <kdewaal@mythtv.org>
Date:   Mon Mar 11 12:19:18 2019 +0100

    No Signal/Noise and no Signal Strength with Si2168-based tuners
    
    The Linux driver for the Si2168 only implements the DVBv5 calls
    to retrieve the signal strength etc.
    The MythTV code first tries the DVBv3 call and if that fails
    with an EOPNOTSUPP then the DVBv5 call is tried.
    This worked correct until Linux kernel changed the
    error code from EOPNOTSUPP to ENOTSUPP (value 524).
    This fix adds a test on ENOTSUPP in addition to the existing
    test on EOPNOTSUPP.
    
    (cherry picked from commit 9a174ffc3fbd747bc6456a6e620a631793c9fbf2)
    Signed-off-by: Klaas de Waal <kdewaal@mythtv.org>

commit d1d647ad1b57af4a636347b1434914c84ea1c290
Author: David Hampton <mythtv@love2code.net>
Date:   Sun May 31 20:20:21 2020 -0400

    Fix missing Qt 5.15 include in mythpainter.cpp.
    
    (cherry picked from commit f12096ba57c37f8966b9cc8fa2a775255862df9f)

commit c6b20b072e2ac3e9e158e9eaba478d99d43163ad
Author: Paul Harrison <paul@mythqml.net>
Date:   Sat Apr 18 15:38:32 2020 +0100

    HLSStreamHandler: fix the formatting of a debug statement
    
    Refs #13608
    
    (cherry picked from commit 2b31dbf2ff30ea73b5865918719d14076c39f0cf)

commit 5cbbb2d696f8a3d018033aaeb5c2e04f07f551ce
Author: Paul Harrison <paul@mythqml.net>
Date:   Wed Apr 15 20:12:47 2020 +0100

    FAQ: trivial change to force an update

commit 7c12737ba9636f072ee24dbbd3526d8eb3011b9a
Author: Nigel Jewell <nige@grufty.co.uk>
Date:   Sun Apr 12 21:31:49 2020 +0100

    Fix typo in 0851b35e3ded43ea738473bc60b8e5d13595b922 comment
    
    (cherry picked from commit dca115895bcc7631fd4eb9dcfa0b4d838ed1e786)

commit 3b62dce802c4e4a1ca49ce6b805e3b8efebc6261
Author: Paul Harrison <paul@mythqml.net>
Date:   Sat Apr 11 15:45:10 2020 +0100

    version.sh: if found use DESCRIBE to get branch and version information
    
    The Ubuntu packaging scripts create a DESCRIBE file that has the branch and
    version information we need so use that if it's found.
    
    (cherry picked from commit 0851b35e3ded43ea738473bc60b8e5d13595b922)

commit 5a3e9d6a06bc53b6e7b8c7b31933e0f999e3983b
Author: Lars Tangvald <lars.tangvald@oracle.com>
Date:   Wed Nov 27 19:44:01 2019 -0500

    Fix mythzoneminder compile with MySQL 8.0.
    
    MySQL and MariaDB are beginning to diverge at the client API level.
    Add a compile time directive to user the proper type of variable for
    reconnecting to a database.  Fixes #13304.
    
    Signed-off-by: David Hampton <mythtv@love2code.net>
    (cherry picked from commit e87829674f941f7504bb61b8bb2309c426ef3ab6)
    Signed-off-by: Stuart Auchterlonie <stuarta@mythtv.org>

commit 3151002ca0803f578ae529092a7a01d72c0d2809
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Mon Mar 30 11:35:08 2020 -0400

    Fix compile error caused by commit ba5cfd3f13

commit ba5cfd3f13476b6356e9e779ec7c75d3538e0ad9
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Wed Mar 4 12:38:28 2020 -0500

    mythbackend: Fix missing lock on file transfer list
    
    adding elements to m_fileTransferList in MainServer::HandleAnnounce
    was no longer protected by a lock since ea5fdd45bdab01aa6f3d577db7e344a90aae98a6.
    
    Refs #13598
    
    (cherry picked from commit 53e30ce4f5d8182ffb02ec96fabe809cfc6927c7)

commit ab250d6ccfe80fe8fb129e1375feb80a453a22a9
Author: Mark Kendall <mark.kendall@gmail.com>
Date:   Wed Feb 12 19:42:03 2020 +0000

    VAAPI2: Fix corrupt MPEG2 decoding
    
    - fixes #13558

commit 0872089201dc34850e36403110690edf8c9166bd
Author: Mark Kendall <mark.kendall@gmail.com>
Date:   Wed Feb 12 19:41:07 2020 +0000

    Fix playback of nuppel recordings
    
    - closes #13459

commit 1b4a7f62965b11779c7755ae8c8eebb21f405131
Author: Paul Harrison <paul@mythqml.net>
Date:   Tue Feb 11 00:10:56 2020 +0000

    mythuiwebbrowser: only create the browser window if the parent is not the GlobalObjectStore
    
    This fixes a bug when using Qt5.14 where an empty browser window sometimes
    appears over the GUI. Fixes #13544
    
    (cherry picked from commit 67ab1a79b7a7d795c51babc5f2c4e89b994574c0)

commit 3e9e8353aa8b5626c0b2e2727e5ed39097bc8c98
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Tue Feb 4 16:45:49 2020 -0500

    Scheduler: Fix deadlock in mythbackend
    
    Fixes deadlock caused by conflicting Mutex locks in HandleIdleShutdown
    
    Fixes #13479

commit 05910a47653c3beab97e0deca6f206c68243e787
Author: Bill Meek <billmeek@mythtv.org>
Date:   Tue Jan 14 13:22:24 2020 -0600

    Database: update mc.sql for MySQL version 8 change.
    
    Tested with MariaDB 10.3 and MySQL 5.7 and 8.0. The "HELP GRANT;"
    in all three suggests the systax used in this commit.
    
    The NO_AUTO_CREATE_USER sql_mode has been removed in MySQL v8.
    The 'IDENTIFIED BY "mythtv"' part of the existing mc.sql no
    longer worked in MySQL v8 (read Ubuntu 20.04.)
    
    See: https://dev.mysql.com/doc/refman/8.0/en/upgrading-from-previous-series.html#upgrade-server-changes
    (cherry picked from commit 83803f53236fcdfcccc1b0f2dc0407c17c1ec998)

commit 7a8752dc0f605589d26db9a7764856031ce55a6d
Author: David Hampton <mythtv@love2code.net>
Date:   Thu Sep 5 13:58:32 2019 -0400

    Fix php7.2 count warnings in MythBackend bindings.
    
    The mythweb portion of this bug was fixed in a separate commit.
    
    Adapted from a fix by daraden.
    
    Fixes #13406.
    
    (cherry picked from commit dc87fada554f8b200bf8b67ce51174936b429a04)

commit a27754ae7f7ec04f6046fcfd61e336986dc2c750
Author: Klaas de Waal <kdewaal@mythtv.org>
Date:   Fri Nov 29 21:38:40 2019 +0100

    Extend instance locking in HDHomeRun stream handler
    
    Extend the instance locking already present in HDHRStreamHandler
    functions TunerGet and TunerSet to GetTunerStatus.
    This fixes a segfault in libhdhomerun, reported in ticket #13519,
    that appeared when doing a UK DVB-T/T2 scan with offset frequencies.
    The segfault happened because GetTunerStatus was called from the
    HDHRSignalMonitor in a different thread than the TunerGet/TunerSet functions.
    Extend the instance locking also to the HDHRStreamHandler::run function
    where the libhdhomerun functions are called. This should fix the segfault
    in the mythbackend startup as reported in ticket #9027.
    
    Refs #9027
    
    Fixes #13519
    
    (cherry picked from commit ec2a518f20385b06f0fe730fa6f567409f34d50e)
    Signed-off-by: Klaas de Waal <kdewaal@mythtv.org>

commit 08ebf057c56bf67f177257e2306fc0181d6abd57
Author: Bill Meek <billmeek@mythtv.org>
Date:   Sun Nov 24 10:29:04 2019 -0600

    DB: Care for MySQL v8.0 use of "system" as a reserverd word
    
    Add: system to `system` changes for datadirect (that doesn't
    exist in v31-Pre.
    
    Thanks to jhavens1566
    
    Fixes #13516

commit f1859d9b58ac2590c91f2504d827e19bc4095de1
Author: Bill Meek <billmeek@mythtv.org>
Date:   Thu Nov 21 19:32:43 2019 -0600

    DB: Care for MySQL v8.0 use of "system" as a reserverd word
    
    Change system to `system` in all queries.
    
    Thanks to jhavens1566 and Gary Buhrmaster
    
    Fixes: #13516
    (cherry picked from commit 4a108b98172739a335d2e8a280643f7c8de5d280)

commit 511d424a180afb47ea310baaf0f25b16d32c45ee
Author: Klaas de Waal <kdewaal@mythtv.org>
Date:   Thu Sep 12 22:08:26 2019 +0200

    EITCache check on table version
    
    The EITcache code that checks if an EIT event contains new data or
    that it contains data that has been already processed did now allow
    for missing table versions when the table version wrapped around
    from 31 to 0.
    If that happens then the guide data of that channel will not
    be updated for a few days until the table version is 31 again.
    Note that it is completely valid for a receiver to not receive
    all table versions. This happens for instance when a tuner is
    used for recording; during that time the active EIT scanning
    is suspended and only the EIT data on the multiplex of the
    channel that is currently being reorded is processed.
    This happens also when a device is switched off.
    The check as now implemented only checks if the new table version
    is different from the previously processed table version.
    
    (cherry picked from commit 1ad17d49ea6bdfb16c3cd5e4882227a32f06ef2a)
    Signed-off-by: Klaas de Waal <kdewaal@mythtv.org>

commit 205d3659a924f45b2ec88e7ea325a2e9907c132f
Author: Klaas de Waal <kdewaal@mythtv.org>
Date:   Mon Sep 23 16:49:38 2019 +0200

    Remove ATSC ETT caching
    
    Process ATSC ETT events only after the corresponding EIT event,
    as identified by the event ID, has been received.
    This solves title/description mismatches in guide data.
    Bug reported and bug fix tested for several years by Roanld L Humble.
    Thanks for the perseverance in reporting and testing this bug.
    
    Also fix of a memory leak in the case where EIT events are cached
    awaiting a matching ETT event but the ETT event does never arrive.
    
    Refs #13455
    
    (cherry picked from commit fe0c80927fb6a3ec8d8e9b326c4c10df9a2c47dc)
    Signed-off-by: Klaas de Waal <kdewaal@mythtv.org>

commit 1c86e4083953a19de06e3f0937b563b2c7fd079c
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Tue Nov 12 13:39:40 2019 -0500

    Services: Add new DelayShutdown method
    
    DelayShutdown can be called by an external process that is using
    the services, to prevent an idle shutdown while it is running.
    The DelayShutdown service delays idle shutdown by 5 minutes.
    External processes must call it every 5 minutes or less to ensure
    the backend does not shut down.
    
    (from ae82a5a58f)

commit 7087bc91cf5cfc18da2a2ef4059c5a64f07d4ce8
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Mon Oct 21 15:26:36 2019 -0400

    Services: Dvr/GetSavedBookmark - better handling for when there is no seek table
    
    If there is no seektable, GetSavedBookmark with duration option is not able to
    calculate the duration. In that case it was returning a garbage value
    (from an uninitialized variable). Changed so it will return -1 in that case.
    
    (cherry picked from commit 36cf11e9f6941fcd3bfba7acc369ca008b86db65)

commit 2855e2967209b8cbf16363aa46e4f3cc9a34fb90
Author: Bill Meek <billmeek@mythtv.org>
Date:   Tue Jun 18 10:40:26 2019 -0500

    UPnP Serializer: Eliminate false 304 response statuses
    
    Affects Services API responses.
    
    For 'simple' Name=Value responses (Bool/Int/String/etc.),
    include Value in the hash calculated for the ETag.
    
    Without this, the ETag never changed and the backend always
    sent 304/Not Modified on subsequent queries (assuming the
    client returned the "If-None-Match" header.) For example:
    
      http://hostname:6544/Myth/GetSetting?Key=UserJobDesc4&HostName=_GLOBAL_
    
    the backend always returned:
    
      'ETag': '"da39a3ee5e6b4b0d3255bfef95601890afd80709"'
    
    regardless of the value in UserJobDesc4.
    
    (cherry picked from commit 698f1f98652d77e19adbfd05ee50e069557ac927)

commit 0c9abf30c838ad471134ec3e9fecfd6a3979baef
Author: Stuart Auchterlonie <stuarta@mythtv.org>
Date:   Thu Sep 12 16:30:17 2019 +0100

    Set default runlevel to 9, as systemd targets report as unknown. This blows the current smolt backend up
    
    (cherry picked from commit 479abcc77d11331a2c5732a55d3201241212367f)

commit 72825c5c66751a7a6fb9156ee2710d25edcda390
Author: Stuart Auchterlonie <stuarta@mythtv.org>
Date:   Tue Sep 10 14:39:26 2019 +0100

    Handle kernel 5.x
    
    (cherry picked from commit 7ea2d6c414b10067a9965ee1c245ba4207261b51)

commit 5cde0578d84926171b20c8f7e95a101e9b0b9457
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Thu Aug 8 12:45:52 2019 -0400

    dbcheck: Enforce correct recgroupids for special recording groups
    
    If the mysql server is set up with auto_increment_increment=2 or
    some value other than 1, the wrong values were set for the special
    recording groups.
    
    This only fixes it for new database setups or upgrades from schema
    id 1320.
    
    Refs #13473
    
    (cherry picked from commit da558ca5f531b8074155946b96c82ef4fe0ddefa)

commit e094a020179aba2d955a21b8fd067231a87e3334
Author: Paul B. Henson <henson@acm.org>
Date:   Thu Jul 25 11:44:28 2019 +0200

    DVB symbol errros with gcc 8.3
    
    Include of dvbchannel.h in channelscanner.cpp is now
    conditional on USING_DVB.
    This does solve the compilation issue for gcc 8.3.
    Note that there are no compilation issues with
    newer gcc versions, as tested with gcc 9.1.
    
    Signed-off-by: Klaas de Waal <kdewaal@mythtv.org>
    (cherry picked from commit 06a1158ead9aafd6c394e90860049b53e1e16978)
    Signed-off-by: Klaas de Waal <kdewaal@mythtv.org>

commit a4bc92e244d815351bd6de6f8d4c2569f22bc403
Author: Tom Dexter <digitalaudiorock@gmail.com>
Date:   Thu Jul 11 16:34:08 2019 +0100

    Gentoo users may not have nvidia-settings utils installed. From https://bugs.gentoo.org/688084
    
    Signed-off-by: Stuart Auchterlonie <stuarta@mythtv.org>
    (cherry picked from commit 13ec89b65ea4a95dafbdfc31ff27a621ca126860)

commit 83e27017203abfac6958bd3a6ce3284c372fa2d4
Author: Paul Harrison <pharrison@mythtv.org>
Date:   Fri Jul 5 21:18:04 2019 +0100

    mythzmserver: fix merge error after 84e5caebaa
    
    Refs #13466

commit 84e5caebaa9650b88a6082f19cb46d46b831b566
Author: Paul Harrison <pharrison@mythtv.org>
Date:   Fri Jul 5 19:02:40 2019 +0100

    mythzmserver: don't try to get the shared memory pointers for a disabled Monitor
    
    Also allow for a NULL result for the Host field in the Monitors table.
    Fixes #13466
    
    (cherry picked from commit 7924ad992c75c2dad04eef992d51c349d9e4a64d)

commit d794f3108195eb8fe5333a73db38275185ff73c2
Author: Paul Harrison <pharrison@mythtv.org>
Date:   Wed Jun 19 01:34:36 2019 +0100

    ZMClient: use locking to make sure only one command runs at a time
    
    (cherry picked from commit b57372d484c1c9306ecb26b5e18906708980b4fe)

commit 80434249139b36701b050c7990cf20a09de268a1
Author: Paul Harrison <pharrison@mythtv.org>
Date:   Fri Apr 19 16:43:49 2019 +0100

    MythZoneMinder: fix saving the enabled/disabled monitor notification setting
    
    (cherry picked from commit cca393352f1df6ef97b655f048b18c2f0b98732a)

commit 4dae2f4106d537babfe8ddca0c7871a113a139e5
Author: Paul Harrison <pharrison@mythtv.org>
Date:   Tue Feb 5 11:41:09 2019 +0000

    MythWeather: fix some of the weather grabber scripts
    
    Remove the no longer supported "use encoding 'utf8'" directive.
    
    (cherry picked from commit 4f58fd152f56089ac15db90433ea952d11d7b026)

commit dac22b7f1043d4b212d1d73045ada3b8b113e090
Author: Stuart Auchterlonie <stuarta@mythtv.org>
Date:   Thu Jul 4 11:57:25 2019 +0100

    Fixes #13467 - Handle null blocks in DSMCC
    
    (cherry picked from commit 9dfa5c7a70bb422d748ab327f4b1a0cb3e435794)

commit b9c1b41a6c01a387bad8f325e2b8000327045cc6
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Mon Jun 17 15:20:19 2019 -0400

    android: Fix problem with guide grid colors.
    
    assets file system does not support file handles.
    
    Refs #13454
    
    (cherry picked from commit 9ee9894bf540a6838fe67545de205ffd23acc63f)

commit ef55cb239b27741954b1ed026297a0c59b4ac0e1
Author: Robert Watson <robertabcdefgwatson@gmail.com>
Date:   Thu Jun 13 10:48:32 2019 +0200

    Compute seek offset 64 bits in playback of Blu-Ray iso.
    
    Fixes #13461
    
    Signed-off-by: Klaas de Waal <kdewaal@mythtv.org>
    (cherry picked from commit f0ed96407e6a20db3c6b6ca1a59cb8498736a5cc)
    Signed-off-by: Klaas de Waal <kdewaal@mythtv.org>

commit 4761e7a6d42a86c11f10bd4dea83ca8eb022b016
Author: Jan Ceuleers <jan.ceuleers@gmail.com>
Date:   Thu May 30 16:14:27 2019 -0500

    tmdb3.py: Prevent program from stalling
    
    From the -users list. If one (or more) requests stall, no
    more metadata is retrieved until all stalled requests are
    killed (or the backend is rebooted.)
    
    Signed-off-by: Bill Meek <billmeek@mythtv.org>
    (cherry picked from commit 98f4fc8c47040b1afb8cbca1886765cc06943923)

commit 402e8274435cfab094cd902105a11231b7eadfbc
Author: Bill Meek <billmeek@mythtv.org>
Date:   Fri May 10 11:28:31 2019 -0500

    HTTP Status: Restore thousands separators and use proper LOCALE choice
    
    In #3957 the LOCALE was fixed to QLocale::C, and a report on the Forum
    pointed out the commas were lost after upgrading to Ubuntu 18.04 from
    16.04. I haven't found any Qt documentation that says the existing
    method is wrong, but this fix puts commas back and should have the
    side affect of using the correct separator in other LOCALS.
    
    (cherry picked from commit 9f6230f1dc9db1d34be9c5ef3986ac640e7f4316)

commit aa26a6b76bf00fcd5ddb051c76f9994757e09913
Author: Bill Meek <billmeek@mythtv.org>
Date:   Fri May 10 14:34:14 2019 -0500

    Python Bindings: Fix version test for Frontend services
    
    Use Frontend/version to 'prime' the session for POSTs (was always
    using Myth/version.)
    
    (cherry picked from commit c12ff7cac94d570f9c6b566b455811c5a90735d6)

commit 8d04874b1ecffebe0085997a3cd797b99643bc11
Author: Bill Meek <billmeek@mythtv.org>
Date:   Tue Jun 4 11:02:03 2019 -0500

    mythwelcome: Final --override-settings fix
    
    This adds to a previous commit and allows libCECEnabled=0 to take
    affect. Needed to be done before the Context was initialized.
    
    Thanks to trx-913 on the Forum for testing both fixes.
    
    (cherry picked from commit ee893973bb9f4b1e3c0803917ed1850061fa054e)

commit 8325b0780455cd7b90bc6e676b47d6a2aa32250c
Author: Bill Meek <billmeek@mythtv.org>
Date:   Thu May 30 14:33:25 2019 -0500

    mythwelcome: --override-settings choice(s) don't take affect
    
    mythwelcome --override-settings is valid, but overrides weren't
    being used. 139919a (2011) claimed to fix it, but never called
    ApplySettingsOverride(). Applies to override-settings-file too.
    
    Thanks to trx-913 on the Forum for spotting this.
    
    (cherry picked from commit 807c09b44a970b95cfb04d2112deb44f717f0d36)

commit 6bd8cd499382fd8b132218274fb4ae326c2b0243
Author: Klaas de Waal <klaas@modu.home.lan>
Date:   Thu May 30 10:26:43 2019 +0200

    Remove m_ in class member names for backport to fixes-30
    
    Refs #13415

commit 57ffe65dbc1a80b0f4289f7c6a2b8f2e73e2cf51
Author: Simon Hyde <simon@icedrop.net>
Date:   Tue Feb 26 21:32:19 2019 +0000

    Prevent data corruption in dvbchannel.cpp causing hang
    
    m_is_open was being corrupted by multiple simultaneous modifications,
    leading to it managing to create infinite loops within its underlying
    data structure. This patch extends the locking of m_hw_lock to cover
    all uses of m_is_open, preventing issues.

commit a32ec4bdea1380ecf587c717bc882cbe9469e5c7
Author: David Hampton <mythtv@love2code.net>
Date:   Tue Apr 30 14:10:13 2019 -0400

    Fix mythgame configuration with minizip 2.8.6
    
    Minizip apparently moved its header files in/before version 2.0.
    Update the mythplugins configure script to look in both the old and
    new locations.
    
    Fixes #13453.

commit fc79822ce4c8775361053d1bdd8d9dce2dc44ec1
Author: David Hampton <mythtv@love2code.net>
Date:   Tue Apr 30 13:32:08 2019 -0400

    Fix compilation with exiv2 > 0.27.0.
    
    Remove an old workaround that was introduced so that MythTV would
    continue to compile after the introduction of exiv2 version 0.21.  The
    exiv2 file this workaround required was removed in 0.27.1.
    
    MythTV now requires upon exiv2 0.21 or better.
    
    Fixes #13452.

commit f92255ce0620978cb0fffecd37832df3d6c56565
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Fri Apr 26 12:40:56 2019 -0400

    Playback: Fix DB Update that caused bookmark key bindings to be lost
    
    The database update is clearing the key binding before it can be
    converted. This fixes it for people upgrading from 29.
    
    (cherry picked from commit cdb895e92e30c48b62498e262ecff50e1adcede6)

commit 30a59af73f16c7b97c4704a721b3a366b5b96175
Author: David Engel <dengel@mythtv.org>
Date:   Thu Apr 25 09:35:24 2019 -0500

    Account for very, large pre-roll values in AssignGroupInput.
    
    Refs #13423
    
    (cherry picked from commit b71875f16c156abeb347e6035c8b7bb72c457904)

commit 97786a019daa7973207149d728a0b9da978bec1f
Author: David Hampton <mythtv@love2code.net>
Date:   Fri Apr 19 19:04:20 2019 -0400

    Lengthen timers in test_mythtimer.
    
    This allows some slop for build systems being busy while the tests are
    running, but still keeps the same ratio of the timers so the test
    should still be valid.
    
    (cherry picked from commit b3e9db8c06c90f81fb7a430679a14b4271e8dc7b)

commit 0bd850a54244d81dd086556d5425890b44dc2018
Author: David Hampton <mythtv@love2code.net>
Date:   Fri Apr 19 16:13:43 2019 -0400

    Add delay to handle race condition in FreeBSD testing.
    
    Calls to read the data output by the shell generate an EBADF error.
    Apparently FreeBSD is fast enough that the file descriptors have often
    been closed and cleaned up before the test code tries to read from
    them.  Add a one second delay after output so that stdout and stderr
    can be read consistently.
    
    (cherry picked from commit 1593c82103b10c4243e18de00469c5881e9399cb)

commit d41d45ed6f50620a8836580c97bfd6fa25214633
Author: David Engel <dengel@mythtv.org>
Date:   Mon Apr 15 15:10:39 2019 -0500

    Enable Schedule as Group by default.
    
    This also includes the case when the maximum recordings is set to 1.
    Both the core feature scheduling feature and the on-demand addition of
    inputs feature are stable and and should be enabled by default for all
    users.
    
    (cherry picked from commit 895daa592802ea3b16d8f1e583d69cc8fea5f2c3)

commit b61283d7d1ffcdb17a909216220283e005e52a47
Author: David Hampton <mythtv@love2code.net>
Date:   Wed Apr 24 09:51:35 2019 -0400

    Restore code that fixes up key bindings.
    
    This partially reverts commit 453178430d86f7fdf4030cc1a76d7a135df60aa0.
    
    (cherry picked from commit 3be5b080f8fb447645ff3ddcf174aa998108a41b)

commit 5a67176bf907ca0686a7bd44c791a7003a544cfc
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Sun Apr 14 16:35:42 2019 -0400

    android: Fix for android OpenGL ES failures
    
    Android devices that do not support high precision were failing
    on an OpenGL error due to no precision specifiction. The result
    was no GUI display, just a black screen.
    
    (cherry picked from commit b60b8678904bb36349a97ce3e8e7370f8c9c8a13)

commit 4d995941851b277b6365fed4ea003b8706432c2d
Author: Dag Nygren <dag@newtech.fi>
Date:   Mon Apr 8 11:33:42 2019 -0400

    Update Finish EIT fixups.
    
    1) Remove 'Film' or 'Elokuva' at the start of titles.  2) Remove age
    limit at the end of the title.
    
    Fixes #13215.
    
    Signed-off-by: David Hampton <mythtv@love2code.net>
    (cherry picked from commit 753a062b10d93485830a4dbf7a52d8336e2edf96)

commit 09393940d6b448d74fcf5f983b21641f972a38bd
Author: Bill Meek <billmeek@mythtv.org>
Date:   Sun Apr 7 11:01:24 2019 -0500

    WebFrontend: Fix TV->Program Search (by Channel)
    
    Only a single channel is presented with v30. Commit 63a5a20e
    added extra filtering options to Channel/GetChannelInfoList.
    Adjusted programsearch.qsp file to account for this.
    
    Bug reported by user tekdoc on the Forum and thanks for testing
    the fix too.
    
    (cherry picked from commit 56cb2e4db98d96380258334cea8f7911363cb603)

commit 3f494f57e27fef4285e094e919d6f795a8583e33
Author: David Hampton <mythtv@love2code.net>
Date:   Tue Apr 2 22:56:37 2019 -0400

    Fix "in progress" check in mythplayer.
    
    The clang-tidy "implicit boolean conversion" check pointed out a
    couple of nonsensical implicit conversion from TVState to boolean.
    Fix the code to properly test for one of two TV watching states.
    
    Fixes #13442.
    
    https://clang.llvm.org/extra/clang-tidy/checks/readability-implicit-bool-conversion.html
    (cherry picked from commit 0bf0880d3e7ff0f78d1b90953e1f48618421e62d)

commit 8e50fcf60bf9aaaddb5c8dbca4c957a0117d62c9
Author: David Hampton <mythtv@love2code.net>
Date:   Thu Mar 28 08:55:36 2019 -0400

    Fix timeout on mediaserver announcements.
    
    The socket code was converted in 2009 from taking a boolean to indicate
    a 'short' timeout, to taking an actual timeout in milliseconds.  Fix
    one location that didn't get converted.
    
    Fixes #13439.
    
    (cherry picked from commit 66d8960da3e47023344a4caa1edaa37eff6f64b8)

commit 3af3cad3d74735a561ab594910a3400b2472645c
Author: David Hampton <mythtv@love2code.net>
Date:   Mon Mar 25 19:32:11 2019 -0400

    tidy: Fix memory leak in HLSSegment::DecodeData.
    
    The clang-tidy "memory leak" checker pointed out that the
    RecorderBase::CheckForRingBufferSwitch function would leak the memory
    pointed to by the 'recq' variable if the 'm_tvrec' variable contains
    nullptr.  Add a line to free the memory pointed to by the 'recq'
    variable in this case.
    
    Fixes #13438.
    
    (cherry picked from commit e6a39281b112fb03ef2f804c13bc6ebe9d336c90)

commit 0999fd0ff08d21bf7873daf78fe9e453925cd83d
Author: David Hampton <mythtv@love2code.net>
Date:   Sun Mar 24 14:51:17 2019 -0400

    tidy: Fix test to retrieve picture from FLAC file.
    
    The clang-tidy "call and message" check pointed out the inevitability
    of calling a function through a nullptr.  The getPictureFromFile
    function was testing the wrong variable when determining whether or
    not a picture was the requested type.  While there, make a variable
    'auto' to tighten up the code.
    
    Fixes #13437.
    
    (cherry picked from commit 6a21dd100e453d24437e980ef01c5525a53efbc1)

commit ff4c7158f4fb241760e77fad7c2a8eef1a4eb5c3
Author: David Hampton <mythtv@love2code.net>
Date:   Mon Mar 25 14:02:11 2019 -0400

    tidy: Fix rare null pointer dereference in cc707decoder.cpp.
    
    The clang-tidy "non-null parameter checker" pointed out to possibility
    of the cc708 decoder dereferencing through a null pointer.  This code
    starts with a default buffer size of 512 and then attempts to allocate
    a larger buffer when necessary (in this case, if a single subtitle is
    more than 512 characters.)  If the reallocation fails, the code would
    end up storing the nullptr error return into the buffer pointer, and
    then dereference it an an attempt to store the new characters.  Catch
    this rare condition and drop the characters that won't fit into the
    existing buffer.
    
    Fixes #13436.
    
    (cherry picked from commit d0356aba3c9394200a86dcab7d1cf17a558c5eab)

commit 094e0d0c8038dac291dc4634e268c5fdc9dc0502
Author: David Hampton <mythtv@love2code.net>
Date:   Mon Mar 25 17:43:51 2019 -0400

    tidy: Fix memory leak in HLSSegment::DecodeData.
    
    The clang-tidy "memory leak" checker pointed out that
    HLSSegment::DecodeData function would leak memory if it read an
    invalid padding size from the end of the buffer.  Add a line to free
    the temporary buffer in this error condition.
    
    Fixes #13435.
    
    (cherry picked from commit 221e867bcbf5a79ff5f68eb5d30aa78538a2dbfb)

commit 81081957a0cbb83e7419269129b4babfe306a8ac
Author: Yianni Vidalis <yiannividalis@hotmail.com>
Date:   Wed Mar 20 12:50:31 2019 -0400

    EIT fixes/enhancements for greek TV. (dvb-s and dvb-t)
    
    Fixes #13426.
    
    Signed-off-by: David Hampton <mythtv@love2code.net>
    (cherry picked from commit 2887266263db0ed423d697ea2d7e74915e2a4c68)

commit df4b1b78ae4e6d551b9a5ce07a0af33d436b96fd
Author: David Engel <dengel@mythtv.org>
Date:   Tue Mar 19 14:05:09 2019 -0500

    Include episode information in Scheduler-generated ProgramInfos.
    
    Also, include the generic, episode indication when writing to the
    oldrecorded table.
    
    Refs #13425
    
    (cherry picked from commit f9794e0ac7d4214599bb9b43f77b46c8dfcfa8fc)

commit 363d00440163d55456bcb2eb353eb8a3ac9dc93d
Author: John Poet <jpoet@mythtv.org>
Date:   Tue Feb 26 13:57:12 2019 -0700

    mythexternrecorder: Allow config to pass logging options.
    
    (cherry picked from commit 5b63846899946c0c150d1bf3ca4c90289293ca9f)

commit 068e7e1958c46bcce65cca71603eeb537dbd9a1a
Author: John Poet <jpoet@mythtv.org>
Date:   Fri Feb 1 20:33:46 2019 -0700

    ChannelUtil::GetChannelDatast:  Make sure results are more predictable.
    
    
    Order results so lower numbered visible channels are prefered.  If no
    visible channels are available, then return an invisible one.
    
    (cherry picked from commit cf7e9cc8293719ee7d726dfa44b2501e5a38f80a)

commit 2327369fd558fcf00af6a280017560801534b44d
Author: John Poet <jpoet@mythtv.org>
Date:   Tue Feb 5 14:04:00 2019 -0700

    RemoteFile::Read: Try and "resume" if read fails.
    
    
    When a remote frontend is paused for more than 5 minutes, the "remotefile"
    connection can end up in a state where no data is returned.  Attempt to use
    RemoteFile::Resume to reestablish the connection.
    
    (cherry picked from commit b7b737044eff2fff1090c582c1bf3bd61f6c2f26)

commit 01cde24f00573a44f7c62f8ddf6cdcccb0a865a8
Author: John Poet <jpoet@mythtv.org>
Date:   Mon Feb 4 15:14:50 2019 -0700

    ExternalStreamhandler: Don't spam log files due to very low bitrate streams
    
    
    (cherry picked from commit fa86a6a2935c305c97fa75fcd8fd82fe25eae66a)

commit 60cfb7c05ae21d0049537aaa66f8f70a836a1138
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Sun Mar 10 15:06:41 2019 -0400

    Fix compile error from bceea69806d
    
    Rename of member variables cause the cherry-pick to use the old
    variable name.

commit 76ea9755b69cad0eb6595407a7dec3c63df9f8c5
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Wed Mar 6 13:45:46 2019 -0500

    Playback: Fix jerkiness with codec-deinterlaced content
    
    Remove unneeded setting of m_fps that was overwriting the correct
    value. m_fps is suppsed to contain the framerate before deinterlacing.
    
    Fixes #13419
    
    (cherry picked from commit 0e7e57f9c2eb0e2c4f47dcb30788a4e54d6808ba)

commit 13f5fd83072a5b57c3aa3409d6db2038feb1f573
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Mon Mar 4 16:09:49 2019 -0500

    Playback: Improve "Music Choice" detection
    
    Some recordings could be incorrectly detected as "Music Choice",
    resulting in audio-video sync problems. This improves detection to
    reduce the likelihood of that.
    
    (cherry picked from commit e0534ab0964bbec10e52de62dce87aa3cf76165a)

commit bceea69806d9d24fd1662edca23c2215bee2e8cf
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Mon Mar 4 15:53:39 2019 -0500

    AVSync2: Use frame timestamps to determine elapsed play time
    
    MythTV uses frame count to determine the elapsed time of a recording
    for display, jumps, etc. This can be inaccurate with variable rate
    content and also with frame doubling being done in the decoder.
    This change recalculates the frame count based on the time code.
    This ensures MythTV elapsed time will be accurate.
    
    Fixes #13416
    
    (cherry picked from commit 6a5fb07fa17d7a7da09bd8a7be0394c8e4948122)

commit 90468ec49a0116068fffb11d799ae67e100ef1fe
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Sun Feb 24 14:28:56 2019 -0500

    Playback: AvSync2 fix fast forward/rewind
    
    Fast forward and rewind were not handling frame timing correctly so that
    they were dropping frames, resulting in no frames displayed in some cases.
    
    (cherry picked from commit 4089bf1ff031224fa1fefe990ef376628ef7589e)

commit 042c180902bcdcf58ac12cef45a9cf0e5f348912
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Thu Mar 7 14:38:13 2019 -0500

    Previously Recorded List: Fix 2 bugs
    
    1. Time zone bug - In a USA time zone at 11 PM on tha last day of
    the month you can see the following month listed, albeit with
    no entries.
    
    2. Program Guide->select a program that has not been recorded, then
    Menu->Schedule Info->Previously Recorded, then press left or right.
    This causes a seg fault.
    
    Fixes #13397
    Fixes #13421
    
    (cherry picked from commit c08b7ae0e7589dbe54d817a1d6296688e576d675)

commit e3474f8afb7191d5593d5fa5baac24611842bbec
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Mon Feb 25 14:45:13 2019 -0500

    Program Guide: Fix for current selection text not showing
    
    With certain themes (e.g. Blue Abstract) the current selection program name
    was not showing in the guide grid.
    
    (cherry picked from commit d6252135d684a9f6c1aa486fd9b684025f3d23d7)

commit 26034244e8b664f2ae0e74027653293625615a86
Author: Roland Ernst <rcrernst@gmail.com>
Date:   Mon Feb 18 13:51:10 2019 -0600

    Services API: Allow images/icons immediately after BE startup. Refs #13404
    
    Register <QFileInfo> to QMetaType at backend startup.
    
    Tested on master with:
    
        curl --header Accept:Application/JSON --output /tmp/preview.out \
            --silent localhost:6544/Content/GetPreviewImage?RecordedId=<validRID>
    
        curl --header Accept:Application/JSON --output /tmp/icon.out \
            --silent localhost:6544/Guide/GetChannelIcon?ChanId=<validChanID>
    
        Also, without --header ... for XML responses.
    
    Required because Services need this type already registered. Without this
    fix expect:
    
        JSON: {'': ''}
        XML:  <?xml version="1.0" encoding="UTF-8"?><></>
    
    Thanks Roland.
    
    Signed-off-by: Bill Meek <billmeek@mythtv.org>
    (cherry picked from commit f7b5fd704be1e75071f8452b669d303ab053a245)

commit 70a58c0a38c637657f74f28ad86e04a157163f57
Author: Klaas de Waal <klaas.de.waal@gmail.com>
Date:   Sun Feb 17 13:35:42 2019 -0600

    Don't leave HDHomeRun channels open after EIT scans.
    
    The HDHomeRun unlocks the tuner due to inactivity but MythTV still
    thinks it's open.  The result is the next recording or EIT scan fails.
    The fix is to always close the channel immediately after finishing
    with it.
    
    Refs #13407
    
    Signed-off-by: David Engel <dengel@mythtv.org>
    (cherry picked from commit e7e2270d68838bf72c8a7a12a1f027905a12e199)

commit 5100ef5870eed4012e02c0d62d4adb1f20c0f312
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Fri Feb 15 14:50:29 2019 -0500

    AVSync2: Improve resync speed and accuracy
    
    1. If out of sync by more than 200 ms fix the sync more quickly.
    2. Measure audio and video timecode at the same instant.
    3. Base audio / video adjustment on the prior frame timecodes.
    4. When there is excess audio (more than 200 ms) discard it.
    5. No longer limit adjustments to when error is over 40 ms.
    
    Fixes #13383
    
    (cherry picked from commit 6b402ca5a3b8c45c9ee190aaaf0e63a0d5548855)

commit f0644ebd2a33f096dc1b8d97b36a22804d913c5f
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Fri Feb 15 14:49:37 2019 -0500

    AVSync2: Fix never-ending stutter on Live TV
    
    With AVSync2, Live TV could continue to stutter until pause
    is pressed. Added a timecode reset so that it can add a small
    delay to allow catch up.
    
    (cherry picked from commit 90b4ec347fd01e40f97427de8ab261f74e9b2d68)

commit f7b66345c5da82915e9db25817c59f42182766ab
Author: David Hampton <mythtv@love2code.net>
Date:   Sat Feb 2 14:42:40 2019 -0500

    Update custom FreeBSD type declarations in videodev2.h.
    
    (cherry picked from commit 209c15535056407ffd9af9fbf557b0f1c98dad8f)

commit 7c0dc9b25906e0bdf9f6cb878268c9d0fc2316bb
Author: David Hampton <mythtv@love2code.net>
Date:   Fri Jan 25 15:20:30 2019 -0500

    Fix spurious font mismatch errors.
    
    Strip out any text between square brackets before comparing font
    names.  This will allow a font family name like "Droid Sans [MONO]" to
    match the request for "Droid Sans".
    
    Fixes #13385.
    
    (cherry picked from commit 60a1db79f36e4f0734c79c4783864340d4e695bf)

commit b774c4140b2b9e148ccf699d1ad746bc4c84289c
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Sun Feb 10 12:17:53 2019 -0500

    Remove debugging code.
    
    Program guide fix included some debugging code.
    
    (cherry picked from commit 7fd7b8443073ab53804b284f69968d37932825cc)

commit c6760c6210597453c140079628a509683b738f54
Author: Peter Bennett <pbennett@mythtv.org>
Date:   Sun Feb 10 11:25:55 2019 -0500

    Guide Grid: Fix missing text when using QT painter
    
    Grid icons, arrows and record status, caused text to show as blank.
    Changed to paint the text first, which resolves the issue.
    
    Fixes #13398
    
    (cherry picked from commit f561a3c4b2f8d59df8674849d40e046874aee8a2)

commit 1c2068c62bd67f5458009a49412e8b50a4bafbe5
Author: David Engel <dengel@mythtv.org>
Date:   Fri Feb 1 20:04:46 2019 -0600

    Missed a locking difference in the previous GetPlaybackURL commit.
    
    (cherry picked from commit 068c9664724122d0b116d29aea31850a4ae85ed6)

commit e5672657dce54a8059a2437f5a4899dcc07d3d10
Author: David Engel <dengel@mythtv.org>
Date:   Fri Feb 1 18:37:43 2019 -0600

    Completely move GetPlaybackURL() to libmythprotoserver.
    
    It was copied previously but not completely marked as static in both
    locations.  This change completely removes it from the old location so
    that only the new location is used.
    
    (cherry picked from commit 692219f9c9544f0344b69cb3ce053cadd948fa16)

commit f11c5aba6ed1e88c22f1b3b6828fc085e1699b97
Author: David Engel <dengel@mythtv.org>
Date:   Sat Jan 26 11:48:15 2019 -0600

    Tweak some VB_FILE log levels to make it more useful at loglevel INTO.
    
    (cherry picked from commit 85dc2a48dff419fe78cc6b9371bc46333247d06e)

commit b06510032478ec887fd2491b5f9a5dad415c30f0
Author: David Engel <dengel@mythtv.org>
Date:   Sat Jan 26 11:28:54 2019 -0600

    Don't start RingBuffer thread if it's not open.
    
    The RingBuffer thread will exit immediately if the underlying file
    isn't open.  That can cause the thread waiting for it to start to
    deadlock.
    
    (cherry picked from commit 425386b93f3df1ec6872ef845e521c0546e70c61)

commit 4fd4d574c6dacba22233d3eb3e6c9c4564a3c7ac
Author: David Engel <dengel@mythtv.org>
Date:   Fri Jan 25 10:09:50 2019 -0600

    Restore (cached) call to GetFilesystemInfos() in AutoExpire.
    
    A previous change removed it because it was believed to be redundant.
    It actually is redundant in that it doesn't need to be called again so
    soon.  However, a logic bug left the needed filesystem information
    empty.  Rather than attempt to thread safely re-use the data completely
    within AutoExpire, restore the call to GetFilesystemInfos() but used
    the previously cached results.
    
    (cherry picked from commit 193eb990ceb30d6cd69c57972be7f9d380d1368e)

commit 39794c9b6cfa83a03d0f8b0589f67924a6d0f5a0
Author: David Engel <dengel@mythtv.org>
Date:   Thu Jan 24 23:39:20 2019 -0600

    Don't double print the log timestamp and level on Android.
    
    (cherry picked from commit 86ad64b4ef6a044c3e5c439c06cbd2cb3ba5dcb6)

commit 2b8211e8e5d1cd512f96dd31f7cecffc353c19ba
Author: David Engel <dengel@mythtv.org>
Date:   Wed Jan 23 17:12:11 2019 -0600

    Simpify previous FileSystemInfo caching change.
    
    (cherry picked from commit ab65230280cbeda555b0b25d79933d27a823540b)

commit 6b5490bfab0301c70ab79c313cf6b8369ed3507a
Author: David Engel <dengel@mythtv.org>
Date:   Mon Jan 21 20:55:52 2019 -0600

    Cache FileSystemInfo data to avoid unwanted blocking.
    
    Change the MainServer to cache updated, FileSystemInfo data and
    optionally return the cached data when requested.  The Scheduler uses
    this data to decide where to put a recording right before it starts.
    Previously, an unresponsive, remote filesystem could block the
    Scheduler for up to several minutes.  Now, the Scheduler always uses
    the cached data to avoid getting blocked.  The AutoExpirer does not
    and should not use the cached data so that the data gets updated
    periodically.
    
    (cherry picked from commit df607e9bfcb5cc0798989b2e983e0071cb973ae6)

commit 18c9bc9c35f7cb58a8b67d7d53ed73a71aaf4994
Author: David Engel <dengel@mythtv.org>
Date:   Mon Jan 21 17:59:58 2019 -0600

    Work around to get A/V subtitles working on Android.
    
    fontconfig doesn't yet work for us on Android.  For the time being,
    more explicitly set a font we know should exist.  This was adapted
    from VLC master as of 2019-01-21.
    
    (cherry picked from commit a3d7b79b445457d027710dd6509155753a1aa3a5)

commit 57e69de0ba76333d9cb6a08c51cd0837c155d94d
Author: David Engel <dengel@mythtv.org>
Date:   Mon Jan 21 17:31:18 2019 -0600

    Fix libass logging.
    
    Previously, logs from libass were accumulated until one happened to
    end with a newline and then all were printed without newlines between
    them.  Now, each log is printed as is as they are received.
    
    (cherry picked from commit 7fe5013c90e17cfaac79f343097001d7d248dc35)

commit 44fee4bc8a4a69b2ae2ee09fb6568f47d1f8269d
Author: Mark Kendall <mark.kendall@gmail.com>
Date:   Sat Jan 19 15:15:15 2019 +0000

    OpenGLVideo: Fix texture filtering
    
    - this was most apparent using the default OpenGL profile and the kernel
    deinterlacer but would have been impacting quality elsewhere.

commit c62e2733944311f3a0adf17e718f5fb60b006991
Author: John Poet <jpoet@mythtv.org>
Date:   Thu Jan 17 21:25:51 2019 -0700

    Move BottomLine: Allow user to save horizontal adjustments as well.

commit 07fc9359b383b97d84cc756825db9c0f97583d33
Author: David Engel <dengel@mythtv.org>
Date:   Wed Jan 16 23:36:51 2019 -0600

    Fix issues with recent live TV channels commit.
    
    (cherry picked from commit ccf39fad9213c80ce8b7b4fd79dfa0ff63c090ca)
